使用Selenium JS Chrome Webdriver时出错

我喜欢使用Selenium chromewebdriver来testing应用程序。

我从这个教程开始: https : //code.google.com/p/selenium/wiki/WebDriverJs#Getting_Started

我下载了最新的webdriver并将其添加到path中,然后尝试执行您在开始时看到的示例代码。 我将代码添加到脚本,并试图用> node script.js执行它,并得到以下错误信息:

 undefined:1178 vlog(2, () => this + ' scheduling notifications', this); ^ SyntaxError: Unexpected token ) at goog.loadModuleFromSource_ (C:\nodescripts\node_modules\selenium-webdriver\lib\goog\base.js:1123:19) at Object.goog.loadModule (C:\nodescripts\node_modules\selenium-webdriver\lib\goog\base.js:1085:46) at C:\nodescripts\node_modules\selenium-webdriver\lib\webdriver\promise.js:1:6 at Object.exports.runInContext (vm.js:64:17) at Object.Context.closure.goog.retrieveAndExecModule_ (C:\nodescripts\node_modules\selenium-webdriver\_base.js:135:8) at <anonymous>:1:6 at Object.exports.runInContext (vm.js:64:17) at Context.closure.closure.vm.createContext.CLOSURE_IMPORT_SCRIPT (C:\nodescripts\node_modules\selenium-webdriver\_base.js:104:12) at Object.goog.importScript_ (C:\nodescripts\node_modules\selenium-webdriver\lib\goog\base.js:879:9) at Object.goog.importModule_ (C:\nodescripts\node_modules\selenium-webdriver\lib\goog\base.js:900:14) 

       

网上收集的解决方案 "使用Selenium JS Chrome Webdriver时出错"

有一个错误@版本2.48.0。 我试图赢得和Linux上,看到了相同的错误信息。 尝试使用版本2.47.0。

 npm install selenium-webdriver@2.47.0 

更新:更新你的node.js.

https://nodejs.org/download/release/latest/

对于那些得到这个错误,并希望使用较新的selenium-webdriver版本:

尝试更新您的Node.js版本。 我得到同样的错误 – >更新到v4.2.2后,此错误不再发生。

根据拉请求https://github.com/angular/protractor/pull/2736

我更新了量angular器,它为我工作。

 npm install -g protractor@2 webdriver-manager update --standalone 

我也有这个问题。 在selenium-webdriver的网站上,他们声明,如果您使用12.x行节点,则必须使用–harmony标志。 这样做解决了我的问题。